#global checkout 91c0c8c
%define rel 1

Name:               fcoe-utils
Version:            1.0.34
Release:            %mkrel %{rel}%{?checkout:.git%{checkout}}
Summary:            Fibre Channel over Ethernet utilities
Group:              System/Networking
License:            GPLv2
URL:                http://www.open-fcoe.org
Source0:            https://github.com/openSUSE/fcoe-utils/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:            quickstart.txt
Source2:            fcoe.service
Source3:            fcoe.config
# Fix GCC 12 warning
Patch0:             https://github.com/openSUSE/fcoe-utils/pull/22.patch
ExcludeArch:        ppc s390
BuildRequires:      autoconf
BuildRequires:      automake
BuildRequires:      libtool
BuildRequires:      systemd
BuildRequires:      pkgconfig(HBAAPI) >= 2.2.9-6
BuildRequires:      pkgconfig(libbsd-overlay)
BuildRequires:      pkgconfig(libhbalinux) >= 1.0.17-1
BuildRequires:      pkgconfig(lldpad) >= 0.9.43
# for macro definition:
BuildRequires:      pkgconfig(libsystemd)

Requires:           lldpad >= 0.9.43
Requires:           %{_lib}hbalinux2 >= 1.0.17
Requires:           iproute2
Requires:           multipath-tools
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
Fibre Channel over Ethernet utilities
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with lldpad

%prep
%autosetup -p1
cp -v %{SOURCE1} quickstart.txt

%build
./bootstrap.sh
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig %{buildroot}%{_unitdir}
rm -f %{buildroot}%{_unitdir}/*
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/fcoe
mkdir -p %{buildroot}%{_libexecdir}/fcoe
for file in \
    contrib/*.sh \
    debug/*sh
    do install -m 755 ${file} %{buildroot}%{_libexecdir}/fcoe/
done
# We supply our own config for fcoe.service
rm -f %{buildroot}/%{_sysconfdir}/fcoe/config

%post
%systemd_post fcoe.service

%preun
%systemd_preun fcoe.service

%postun
%systemd_postun_with_restart fcoe.service

%files
%license COPYING
%doc README QUICKSTART quickstart.txt
%{_sbindir}/*
%{_mandir}/man8/*
%{_unitdir}/fcoe.service
%{_sysconfdir}/fcoe/
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%config(noreplace) %{_sysconfdir}/sysconfig/fcoe
%{_datadir}/bash-completion/*/fcoe*
%{_libexecdir}/fcoe/



%changelog
* Mon Nov 21 2022 kekepower <kekepower> 1.0.34-1.mga9
+ Revision: 1909820
- Add upstream patch to fix build with gcc 12
+ neoclust <neoclust>
- New version 1.0.34
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 27 2020 daviddavid <daviddavid> 1.0.32-3.mga8
+ Revision: 1550996
- backport latest upstream fixes
- fix more string function issues breaking the build with newer gcc
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 24 2018 daviddavid <daviddavid> 1.0.32-2.mga7
+ Revision: 1303165
- add patch to fix build with new gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 daviddavid <daviddavid> 1.0.32-1.mga7
+ Revision: 1168256
- new version: 1.0.32
- add fedora patch to fix build with gcc7
- remove upstreamed patches

* Sun Oct 16 2016 tv <tv> 1.0.30-8.git91c0c8c.mga6
+ Revision: 1061156
- BR systemd-devel for macro definition (mga#12027)

* Thu May 12 2016 ngompa <ngompa> 1.0.30-7.git91c0c8c.mga6
+ Revision: 1014082
- Fix runtime dependencies

* Sun May 08 2016 ngompa <ngompa> 1.0.30-6.git91c0c8c.mga6
+ Revision: 1010955
- imported package fcoe-utils

